CREATE OR REPLACE PACKAGE PK_ERRORS 
AS

   /**
	* <p>
	* <b>Project:</b>         Control Despesa<br/>
	* <b>Description:</b>     Paquet amb els codis i literals d'erros utilitzats<br/>
	* <b>DB impact:</b>       NO<br/>
	* </p>
	* @author Toni Torres
	* @headcom
	*/


   ERR_PARAMS_NULL                     VARCHAR2(100) := 'ERROR: HI HA CAMPS NO INFORMATS';
   ERR_USER                            VARCHAR2(100) := 'ERROR: FALTA INFORMAR L''USUARI';
   ERR_PAIS                            VARCHAR2(100) := 'ERROR: CODI DE PAIS NO TROBAT';
   ERR_REGIO                           VARCHAR2(100) := 'ERROR: REGIO NO TROBADA';
            
         
   ERR_DUP_PARLAMENT                   VARCHAR2(500) := 'ERROR: JA EXISTEIX UN PARLAMENT AMB AQUEST DOCUMENT';
   ERR_BAIXA_PARLAMENT                 VARCHAR2(500) := 'ERROR: EL PARLAMENT NO EXISTEIX O ESTA DONAT DE BAIXA';
   ERR_PARLA_PARLAMENT                 VARCHAR2(500) := 'ERROR: HI HA PARLAMENTARIS ACTIUS ASSOCIATS AL PARLAMENT';
   ERR_PAISREGIO_PARLAMENT             VARCHAR2(500) := 'ERROR: JA EXISTEIX UN PARLAMENT ASSOCIAT AL PAIS I REGIO';
   ERR_PARLAMENT_OPERATIU              VARCHAR2(500) := 'ERROR: EL PARLAMENT NO ESTA DONAT DE BAIXA';
   ERR_PARLAMENT_NOPERATIU             VARCHAR2(500) := 'ERROR: EL PARLAMENT NO ESTA ACTIU';
   ERR_PARLAMENT_NEXIST                VARCHAR2(500) := 'ERROR: EL PARLAMENT NO EXISTEIX';
            
   ERR_DUP_PARTIT                      VARCHAR2(500) := 'ERROR: JA EXISTEIX UN PARTIT POLITIC AMB AQUEST DOCUMENT';
   ERR_BAIXA_PARTIT                    VARCHAR2(500) := 'ERROR: EL PATIT NO EXISTEIX O ESTA DONAT DE BAIXA';
   ERR_PARLA_PARTIT                    VARCHAR2(500) := 'ERROR: HI HA PARLAMENTARIS ACTIUS ASSOCIATS AL PARTIT';
   ERR_PARTIT_OPERATIU                 VARCHAR2(500) := 'ERROR: EL PARTIT NO ESTA DONAT DE BAIXA';
   ERR_PARTIT_NEXIST                   VARCHAR2(500) := 'ERROR: EL PARTIT NO EXISTEIX';
   ERR_PARTIT_NOPERATIU                VARCHAR2(500) := 'ERROR: EL PARTIT NO ESTA ACTIU';
            
   ERR_DUP_PARL                        VARCHAR2(500) := 'ERROR: JA EXISTEIX UN PARLAMENTARI AMB AQUESTA DOCUMENT';
   ERR_DUP_IDENTPARL                   VARCHAR2(500) := 'ERROR: JA EXISTEIX UN PARLAMENTARI AMB AQUESTA IDENTIFICACIÓ';
   ERR_BAIXA_PARL                      VARCHAR2(500) := 'ERROR: EL PARLAMENTARI ESTA DONAT DE BAIXA';
   ERR_PARLA_NEXIST                    VARCHAR2(500) := 'ERROR: EL PARLAMENTARI NO EXISTEIX';
   ERR_PARLA_OPERATIU                  VARCHAR2(500) := 'ERROR: EL PARLAMENTARI NO ESTA DONAT DE BAIXA';
            
            
   ERR_CODI_DESPESA                    VARCHAR2(500) := 'ERROR: DESPESA NO TROBADA';   
   ERR_IBRUT                           VARCHAR2(500) := 'ERROR: L''IMPORT HA DE SER MÉS GRAN QUE 0';
   ERR_IVA                             VARCHAR2(500) := 'ERROR: L''IVA HA DE SER MÉS GRAN O IGUAL QUE 0';
   ERR_ESTAT_DESPESA                   VARCHAR2(500) := 'ERROR: ESTAT DE LA DESPESA INCORRECTA';
   ERR_FORMA_PAGAMENT                  VARCHAR2(500) := 'ERROR: FORMA DE PAGAMENT DE LA DESPESA';
   ERR_IBAN                            VARCHAR2(500) := 'ERROR: FALTA EL NUMERO IBAN DE LA TRANSFERÈNCIA';
   ERR_CREDITCARD                      VARCHAR2(500) := 'ERROR: FALTA EL NUMERO DE LA TARGETA DE CRÈDIT';
   ERR_IBAN_CREDITCARD                 VARCHAR2(500) := 'ERROR: IBAN O TARGETA DE CREDIT';
   ERR_BAIXA_DESPESA                   VARCHAR2(500) := 'ERROR: LA DESPESA JA ESTA DONADA DE BAIXA';
   ERR_DESPESA_JUSTIFICACIO            VARCHAR2(500) := 'ERROR: ES OBLIGATORI INFORMAR L''EMPRESA I LA URL DEL DOCUMENT';
   
   ERR_NOTRACTAT                       VARCHAR2(500) := 'ERROR NO TRACTAT: ';
---         
   ERR_STAT_ESTTOTAL                   VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTTOTAL): ';
   ERR_STAT_ESTMITJAPARLAMENT          VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTMITJAPARLAMENT): ';
   ERR_STAT_ESTPARMENTARISOPOSATS      VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTPARLAMENTARISOPOSATS): ';
   ERR_STAT_ESTMITJANAPARMENTARI       VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTMITJANAPARLAMENTARI): ';
   ERR_STAT_ESTPARLAMENTARIANYS        VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTPARLAMENTARIANYS): ';
   ERR_STAT_ESTPARLAMENTMESALTA        VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTPARLAMENTMESALTA): ';
   ERR_STAT_ESTPARMENTPARMENTARI       VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTPARLAMENTPARLAMENTARI): ';
   ERR_STAT_ESTPARLAMENTANYS           VARCHAR2(500) := 'ERROR NO TRACTAT ESTADISTICA (ESTPARLAMENTANYS): ';
   
END;
/

