/**
* <p>
* Procediemnt que enregistre les cridades.
* <p>Procediment que enregistres les crides fetes, el paràmetres que 
* ha rebut el procediment i la reposta d'aquest.</p>
* <b>DB impact:</b>       SI<br/>
* <b>Commit inside:</b>   SI<br/>
* <b>Rollback inside:</b> NO<br/>
* <b>Autonomous Transaction inside:</b> SI<br/>
* @author Toni Torres
* 
* @param p_nomproc      VARCHAR2. OBLIGATORI. Nom del procediment.
* @param p_parin        VARCHAR2. OBLIGATORI. Paràmetres rebuts pel procediment
* @param p_rsp          VARCHAR2. OBLIGATORI. Resposta del procediment.
*/
CREATE OR REPLACE PROCEDURE p_log (
	p_nomproc	IN		logs.nomproc%TYPE,	
	p_parin		IN		logs.parin%TYPE,
   p_rsp		   IN		logs.rsp%TYPE
) IS
	v_id	NUMBER;
	PRAGMA AUTONOMOUS_TRANSACTION;
BEGIN
	SELECT seq_logs.NEXTVAL INTO v_id FROM DUAL;
	
	INSERT INTO logs (id, data, nomproc, rsp, parin)
             VALUES (v_id, current_timestamp, UPPER(p_nomproc), p_rsp, p_parin);
	COMMIT;
END p_log;
/
