/**
* Manteniment nombre parlamentaris.
* <p>Disparador AFTER INSERT OR UPDATE ON parlamentari per tal de tenir
* actualitzat el nombre de parlamentaris del parlament.</p>
*/

CREATE OR REPLACE TRIGGER TRG_PARLAMENTARI_AFT_IU
AFTER INSERT OR UPDATE ON parlamentari
FOR EACH ROW
BEGIN
   IF INSERTING
   THEN
      UPDATE parlament
         SET numparlamentaris = numparlamentaris + 1
       WHERE id = :new.parlament;
   ELSE
      IF :new.parlament != :old.parlament
      THEN
         UPDATE parlament
            SET numparlamentaris = numparlamentaris - 1
          WHERE id = :old.parlament;
         
         UPDATE parlament
            SET numparlamentaris = numparlamentaris + 1
          WHERE id = :new.parlament;          
      ELSIF :new.databaixa IS NOT NULL AND :old.databaixa IS NULL
      THEN
         UPDATE parlament
            SET numparlamentaris = numparlamentaris - 1
          WHERE id = :new.parlament;
      ELSIF :new.databaixa IS NULL AND :old.databaixa IS NOT NULL
      THEN
         UPDATE parlament
            SET numparlamentaris = numparlamentaris + 1
          WHERE id = :new.parlament;
      END IF;
   END IF;
END;
/
